/**
  ******************************************************************************
  * @file    system_tps325m5177x.h
  * @author  3peak Asic Team
  * @brief   CMSIS Device Peripheral Access Layer System Head File.
  ***************************************************************************
  * @attention
  *
  * Copyright (c) 2022 3Peak Microelectronics.
  * All rights reserved.
  *
  * SPDX-License-Identifier: BSD-3-Clause.
  *
  ******************************************************************************
  */

#ifndef SYSTEM_TPS325M5177X_H
#define SYSTEM_TPS325M5177X_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

/** @defgroup The value for the extern use.
  * @{
  */
extern uint32_t SystemCoreClock;

/**
  * @}
  */

/** @defgroup System functions
  * @{
  */
void SystemInit(void);

void SystemCoreClockUpdate(void);


/**
  * @}
  */
#ifdef __cplusplus
}
#endif

#endif /* SYSTEM_TPS325M5177X_H */


